cURL
curl "https://api.phrase.com/v2/projects/:project_id/figma_attachments?branch=my-feature-branch" \
-X GET \
-u USERNAME_OR_ACCESS_TOKENphrase figma_attachments list \
--project_id <project_id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/figma_attachments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/figma_attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "626ea67628690c73ac86ac81eec2d185",
"url": "https://figma.com/file/something",
"created_at": "2017-01-28T09:52:53Z",
"updated_at": "2017-01-28T09:52:53Z"
}
]Figma attachments
List Figma attachments
List all Figma attachments for the given project
GET
/
projects
/
{project_id}
/
figma_attachments
cURL
curl "https://api.phrase.com/v2/projects/:project_id/figma_attachments?branch=my-feature-branch" \
-X GET \
-u USERNAME_OR_ACCESS_TOKENphrase figma_attachments list \
--project_id <project_id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/figma_attachments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/figma_attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "626ea67628690c73ac86ac81eec2d185",
"url": "https://figma.com/file/something",
"created_at": "2017-01-28T09:52:53Z",
"updated_at": "2017-01-28T09:52:53Z"
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
specify the branch to use
Was this page helpful?
⌘I